var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
  var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
  if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
  else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
  return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { Component, Host, h, Element } from '@stencil/core';
import { InjectVegaGlobalSlimmer, InjectVegaSlimmer } from 'vega-slimmer/core';
import { VegaComponentUsageRuntimeMetricsSlimmer } from '../../helpers/slimmers/component-usage-runtime-metrics';
import { sanitizeVegaComponent } from '../../utils/component';
/**
 * @VegaInternalComponent
 * @vegaVersion 2.20.1
 */
/**
 * This is an internal used component and shouldn't be used by client,
 *    it doesn't show up in storybook either.
 */
export class VegaHint {
  constructor() {
    this.globalSlimmers = {};
    this.vegaComponentUsageRuntimeMetricsSlimmer = new VegaComponentUsageRuntimeMetricsSlimmer();
  }
  render() {
    return sanitizeVegaComponent(h(Host, null,
      h("vega-box", { padding: { x: 'size-8', top: 'size-4' } },
        h("vega-font", { variant: "font-footnote1-short", color: "text-secondary" },
          h("slot", null)))), this.host);
  }
  static get is() { return "vega-hint"; }
  static get encapsulation() { return "shadow"; }
  static get elementRef() { return "host"; }
}
__decorate([
  InjectVegaGlobalSlimmer()
], VegaHint.prototype, "globalSlimmers", void 0);
__decorate([
  InjectVegaSlimmer()
], VegaHint.prototype, "vegaComponentUsageRuntimeMetricsSlimmer", void 0);
